from dataclasses import asdict, dataclass, field
from os import environ


@dataclass
class Users:
    email: str
    first_name: str
    last_name: str
    phone: str = field(default_factory=str)
    bcc_emails: list = field(default_factory=list)
    role: str = "DEPRECATED"
    add_without_invite: bool = False
    role_urn: str = "psc:role::BETA_SUPER_ADMIN"

    # adding in code for now, could use env but is more config an not as straight forward
    def assign_bcc_origin(self, origin):
        if origin == "FAST":
            if environ.get("ENVIRONMENT") == "prd":
                self.bcc_emails = ["e.delivery@broadcom.com", "e.delivery2@broadcom.com"]
            else:
                self.bcc_emails = ["noname.pdl@broadcom.com"]

    def asdict(self):
        return asdict(self)
